Browse marketplace listings
curl --request GET \
--url https://api.x402layer.cc/api/marketplaceimport requests
url = "https://api.x402layer.cc/api/marketplace"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.x402layer.cc/api/marketplace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"listings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"type": "<string>",
"mode": "<string>",
"price": 123,
"currency": "<string>",
"chain": "<string>",
"api_schema": {
"version": 1,
"baseUrl": "<string>",
"routes": [
{
"path": "/users/{id}",
"method": "GET",
"summary": "<string>",
"parameters": [
{
"name": "<string>",
"in": "query",
"type": "string",
"required": true,
"description": "<string>",
"example": "<string>"
}
],
"requestBody": {
"contentType": "application/json",
"fields": [
{
"name": "<string>",
"in": "query",
"type": "string",
"required": true,
"description": "<string>",
"example": "<string>"
}
],
"example": "<string>"
},
"responseExample": "<string>"
}
]
}
}
],
"total": 123,
"limit": 123,
"offset": 123,
"hasMore": true
}Marketplace
Browse marketplace
Lists public endpoints, products, and agentic listings with optional filters.
GET
/
api
/
marketplace
Browse marketplace listings
Query Parameters
Available options:
endpoint, agentic, product, all Available options:
base, solana Available options:
direct, credits Was this page helpful?
⌘I
